summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD41
-rw-r--r--pi-launcher@.service17
3 files changed, 78 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1f8f6b67512
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+# Generated by mksrcinfo v8
+# Fri Feb 26 21:36:58 UTC 2016
+pkgbase = pi-compositor
+ pkgdesc = Rudimentary QML compositor branched off qtwayland/examples/wayland/qml-compositor
+ pkgver = 0.0.1
+ pkgrel = 2
+ url = http://www.qt.io
+ arch = any
+ license = LGPL3
+ license = GPL3
+ makedepends = qt-sdk-raspberry-pi2
+ depends = qt-sdk-raspberry-pi2-target-libs
+ provides = pi-launcher
+ conflicts = pi-launcher
+ replaces = pi-launcher
+ options = !strip
+ source = git://github.com/sirspudd/pi-compositor.git
+ sha256sums = SKIP
+
+pkgname = pi-compositor
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c2d41b1da81
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Contributer: Donald Carr <sirspudd@gmail.com>
+
+set -e
+
+_pi_ver=2
+pkgname="pi-compositor"
+pkgver=0.0.1
+pkgrel=2
+provides=("pi-launcher")
+conflicts=("pi-launcher")
+replaces=("pi-launcher")
+pkgdesc="Rudimentary QML compositor branched off qtwayland/examples/wayland/qml-compositor "
+arch=("any")
+url="http://www.qt.io"
+license=("LGPL3" "GPL3")
+makedepends=("qt-sdk-raspberry-pi${_pi_ver}")
+depends=("qt-sdk-raspberry-pi${_pi_ver}-target-libs")
+source=("git://github.com/sirspudd/${pkgname}.git")
+sha256sums=("SKIP")
+options=('!strip')
+
+build() {
+ local repo_src=${srcdir}/${pkgname}
+ local qmake=/opt/qt-sdk-raspberry-pi${_pi_ver}/bin/qmake
+
+ cd ${repo_src}
+ $qmake
+ make
+}
+
+package() {
+ local repo_src=${srcdir}/${pkgname}
+ local deploy_path=${pkgdir}/opt/pi-compositor
+ local systemd_deploy_path=${pkgdir}/usr/lib/systemd/system
+
+ mkdir -p $deploy_path
+ mkdir -p $systemd_deploy_path
+
+ cp ${repo_src}/${pkgname} ${deploy_path}
+ cp ${startdir}/*.service ${systemd_deploy_path}
+}
diff --git a/pi-launcher@.service b/pi-launcher@.service
new file mode 100644
index 00000000000..e24890b1cd5
--- /dev/null
+++ b/pi-launcher@.service
@@ -0,0 +1,17 @@
+# Forked off xlogin@.service
+
+[Unit]
+Description=Qt-compositor login for user %i
+After=x@vt7.service systemd-user-sessions.service
+Wants=x@vt7.service
+Conflicts=getty@tty7.service
+
+[Service]
+User=%i
+WorkingDirectory=~
+TTYPath=/dev/tty7
+PAMName=login
+ExecStart=/opt/pi-compositor/pi-compositor
+
+[Install]
+WantedBy=graphical.target